
Foreman - Bug #1842

Getting hostgroups via the API takes an eternity

08/29/2012 09:51 AM - Nacho Barrientos

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: API   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Query URL: https://foreman/hostgroups?format=json&page=1

Short log:

Started GET "/hostgroups?format=json" for 137.138.218.221 at Wed Aug 29 11:56:32 +0200 2012

Processing by HostgroupsController#index as JSON

Completed 200 OK in 35368ms (Views: 33777.7ms | ActiveRecord: 1591.4ms)

 Attached is a full log.

Associated revisions

Revision 2aabb456 - 09/02/2012 06:25 AM - Ohad Levy

fixes #1842 - Getting hostgroups via the API takes an eternity.

This changes a bit the API resonspe as well, as it makes little sense in a rest

context to return full nested objects (when the child objects can be very large).

therefore, instead of environments and puppetclasses (and eventually smart vars)

the environment and classes are now reference by id.

History

#1 - 09/02/2012 10:01 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 2aabb4567368da4f64912ba170e1ae005812061c.

#2 - 09/02/2012 10:20 AM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 1.1
